%define		template snmpdiskio
%include	/usr/lib/rpm/macros.php
Summary:	Disk I/O statistics (Read/Write bytes) in Cacti
Summary(pl.UTF-8):	Statystyki operacji dyskowych we/wy (odczyt/zapis w bajtach) w Cacti
Name:		cacti-template-%{template}
Version:	0.9.6
Release:	7
License:	GPL v2
Group:		Applications/WWW
Source0:	http://forums.cacti.net/files/%{template}-0.9.4.tar.gz
# Source0-md5:	9f3512729ae6cad0904cac0fada719eb
Source1:	http://forums.cacti.net//files/partition_424.xml
# Source1-md5:	d7e569dfe417f49c7b8a2fe5b5a52382
Patch0:		bashism.patch
Patch1:		%{template}-0.9.6.patch
Patch2:		xml-fix.patch
URL:		http://forums.cacti.net/about12742.html
BuildRequires:	rpm-php-pearprov >= 4.4.2-11
BuildRequires:	rpmbuild(macros) >= 1.554
Requires:	cacti >= 0.8.7e-8
Obsoletes:	cacti-addons-snmpdiskio
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		cactidir		/usr/share/cacti

%description
Disk I/O statistics (Read/Write bytes) in Cacti.

%description -l pl.UTF-8
Statystyki operacji dyskowych wejścia/wyjścia (odczyt/zapis w bajtach)
w Cacti.

%prep
%setup -qc
mv %{template}-*/* .
cp -p %{SOURCE1} partition.xml
%patch0 -p1
%patch1 -p1
%patch2 -p1

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{cactidir}/resource/snmp_queries,%{_sbindir}}
cp -p cacti_data_query_snmp_disk_statistics.xml $RPM_BUILD_ROOT%{cactidir}/resource
cp -p cacti_graph_template_disk_io_bytessec.xml $RPM_BUILD_ROOT%{cactidir}/resource
cp -p partition.xml  $RPM_BUILD_ROOT%{cactidir}/resource/snmp_queries

%clean
rm -rf $RPM_BUILD_ROOT

%post
%cacti_import_template %{cactidir}/resource/cacti_data_query_snmp_disk_statistics.xml
%cacti_import_template %{cactidir}/resource/cacti_graph_template_disk_io_bytessec.xml

%files
%defattr(644,root,root,755)
%doc ChangeLog README TODO
%{cactidir}/resource/cacti_data_query_snmp_disk_statistics.xml
%{cactidir}/resource/cacti_graph_template_disk_io_bytessec.xml
%{cactidir}/resource/snmp_queries/partition.xml
%changelog
* Mon Feb 10 2014 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/cacti-template-snmpdiskio.git;a=log;h=master

* Mon Feb 10 2014 Elan Ruusamäe <glen@delfi.ee> de6dfd6
- fix xml error

* Mon Feb 10 2014 Elan Ruusamäe <glen@delfi.ee> 00a441a
- fix after git conversion

* Fri Dec 23 2011 Elan Ruusamäe <glen@pld-linux.org> 8905dd8
- release 6

* Sat Oct 29 2011 Elan Ruusamäe <glen@pld-linux.org> f7d34cb
- rename to cacti-template-snmpdiskio

* Wed Oct 15 2008 hawk <hawk@pld-linux.org> 0a1bda3
- release 4

* Sun Oct 05 2008 Elan Ruusamäe <glen@pld-linux.org> 69a6eee
- with our net-snmpd (with diskio enabled) don't need extra wrapper
  see http://forums.cacti.net/viewtopic.php?t=12742&postdays=0&postorder=asc&start=75#132184
- rel 3

* Sun Oct 05 2008 Elan Ruusamäe <glen@pld-linux.org> 56dd5fe
- do not put exported templates to script_queries dir

* Sun Oct 05 2008 Elan Ruusamäe <glen@pld-linux.org> 0bc1d59
- snmpd

* Sun Oct 05 2008 Elan Ruusamäe <glen@pld-linux.org> 79222f4
- update to 0.9.6 from forum post

* Sun Oct 05 2008 Elan Ruusamäe <glen@pld-linux.org> 751a6b0
- back to /bin/sh

* Sun Oct 05 2008 Elan Ruusamäe <glen@pld-linux.org> 4a571d2
- update to 0.9.6 from this post: http://forums.cacti.net/viewtopic.php?p=124793#124793

* Sun Oct 05 2008 Elan Ruusamäe <glen@pld-linux.org> bb72e7c
- stop bashism
- register cacti template

* Sun Oct 05 2008 Elan Ruusamäe <glen@pld-linux.org> ce7f765
- stop bashism

* Sun Oct 05 2008 Elan Ruusamäe <glen@pld-linux.org> 08fbbc3
- simplify macros and cleanups

* Sun Jan 06 2008 Jakub Bogusz <qboosh@pld-linux.org> 455553e
- better pl

* Wed Dec 26 2007 Elan Ruusamäe <glen@pld-linux.org> ba120e2
- cleanups

* Sun Dec 16 2007 Michał 'Wolvverine' Panasiewicz <wolvverine@pld-linux.org> 63ec3b3
- ups

* Sun Dec 16 2007 Michał 'Wolvverine' Panasiewicz <wolvverine@pld-linux.org> e17055d
- init

